Labels

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • name

  • name_count

  • nameExists

  • colour

  • colour_count

  • colourExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • created_at

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

includestringOptional

Comma-separated list of relationships to include. Available: name, colour

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/labels

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

colour

Authorizations
Body
colourstring · enumRequiredPossible values:
namestring · max: 20Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/labels

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • name

  • name_count

  • nameExists

  • colour

  • colour_count

  • colourExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • created_at

Authorizations
Path parameters
labelstringRequired

The label identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

includestringOptional

Comma-separated list of relationships to include. Available: name, colour

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/labels/{label}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

colour

Authorizations
Path parameters
labelstringRequired

The label identifier.

Body
colourstring · enumOptionalPossible values:
namestring · max: 20Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/labels/{label}

Destroy

delete

Delete a label.

Authorizations
Path parameters
labelstringRequired

The label identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/labels/{label}

Last updated

Was this helpful?